Bug 88151 - gdm/Xserver crashes with "Error in I830WaitLpRing()"
gdm/Xserver crashes with "Error in I830WaitLpRing()"
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-06 21:12 EDT by Kai 'wusel' Siering
Modified: 2015-01-04 17:02 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:40:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Contents of XFree86.0.log.old, dated Apr 7 03:10 (53.64 KB, text/plain)
2003-04-06 21:14 EDT, Kai 'wusel' Siering
no flags Details
XFree86.0.log file (49.15 KB, text/plain)
2003-07-14 05:13 EDT, Péter, Soós
no flags Details
XFree86.0.log file after reboot (58.38 KB, text/plain)
2003-07-14 06:00 EDT, Péter, Soós
no flags Details
The working version of XF86Config (3.86 KB, text/plain)
2003-08-28 03:27 EDT, Péter, Soós
no flags Details

  None (edit)
Description Kai 'wusel' Siering 2003-04-06 21:12:46 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030206

Description of problem:
After upgrading vom 8.0 to 9, gdm/Xserver crashes quite often when
idle -- no crash yet when working on the workstation locally.

According to RHN, the Chipset used is "82845G/GL [Brookdale-G] Chipset
Integrated Graphics Device"; the Maschine ist a FSC Scenic 2.4 GHz P4.

Main error message:

Error in I830WaitLpRing(), now is 1031430, start is 1029429
pgetbl_ctl: 0x1ff60001 pgetbl_err: 0x49
ipeir: 0 iphdr: 0
LP ring tail: e0 head: 0 len: 0 start 0
eir: 0 esr: 10 emr: ff7b
instdone: ffc0 instpm: 0
memmode: 0 instps: 0
hwstam: ffff ier: 0 imr: ffff iir: 0
space: 130840 wanted 131064

Fatal server error:
lockup

I was using the System before for about two weeks under 8.0 without any such
problem. Problem manifested itself after upgrading 8.0 -> 9.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Log into gdm
2. Work. Fetch coffee.
3. Log into gdm again, praise the extinction of any unsaved work from Step 2.


Actual Results:  <Not applicable.>

Expected Results:  gdm/Xserver should not crash, just like it failed in 8.0 to do.


Additional info:

root@species-8472:~ # ls -la /var/log/gdm/
total 32
drwxr-xr-x    2 root     root         4096 Apr  7 02:36 .
drwxr-xr-x    8 root     root         4096 Apr  7 02:36 ..
-rw-r--r--    1 root     root          871 Apr  7 02:36 :0.log
-rw-r--r--    1 root     root         1754 Apr  7 02:36 :0.log.1
-rw-r--r--    1 root     root         1754 Apr  7 02:18 :0.log.2
-rw-r--r--    1 root     root         1754 Apr  7 02:01 :0.log.3
-rw-r--r--    1 root     root         1754 Apr  7 01:44 :0.log.4
-rw-r--r--    1 root     root         1754 Apr  4 13:03 save-:0.log.4

root@species-8472:~ # diff -u /var/log/gdm/\:0.log.4 /var/log/gdm/\:0.log.1
--- /var/log/gdm/:0.log.4       2003-04-07 02:01:44.000000000 +0200
+++ /var/log/gdm/:0.log.1       2003-04-07 02:53:28.000000000 +0200
@@ -13,9 +13,9 @@
 Markers: (--) probed, (**) from config file, (==) default setting,
          (++) from command line, (!!) notice, (II) informational,
          (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
-(==) Log file: "/var/log/XFree86.0.log", Time: Mon Apr  7 01:44:31 2003
+(==) Log file: "/var/log/XFree86.0.log", Time: Mon Apr  7 02:36:14 2003
 (==) Using config file: "/etc/X11/XF86Config"
-Error in I830WaitLpRing(), now is 1031430, start is 1029429
+Error in I830WaitLpRing(), now is 1031683, start is 1029682
 pgetbl_ctl: 0x1ff60001 pgetbl_err: 0x49
 ipeir: 0 iphdr: 0
 LP ring tail: e0 head: 0 len: 0 start 0
@@ -34,7 +34,7 @@
 This can be found in the log file "/var/log/XFree86.0.log".
 Please report problems to xfree86@xfree86.org.
 
-Error in I830WaitLpRing(), now is 1033447, start is 1031446
+Error in I830WaitLpRing(), now is 1033694, start is 1031693
 pgetbl_ctl: 0x1ff60001 pgetbl_err: 0x49
 ipeir: 0 iphdr: 0
 LP ring tail: e8 head: 0 len: 0 start 0
Comment 1 Kai 'wusel' Siering 2003-04-06 21:14:01 EDT
Created attachment 90943 [details]
Contents of XFree86.0.log.old, dated Apr  7 03:10
Comment 2 Mike A. Harris 2003-04-07 21:02:33 EDT
Can you attach your modules.conf, /var/log/messages, X config file
also please?

TIA
Comment 3 Kai 'wusel' Siering 2003-04-08 17:16:43 EDT
Will do tomorrow after reproducing the problem.

Just for the records: system works flawlessly since yesterday with a PCI-based
ATI board (no other changes).
Comment 4 Tom Wood 2003-05-12 14:17:12 EDT
Same error with a Gateway Solo 5350 with 830 chipset.
Comment 5 Péter, Soós 2003-07-14 04:40:26 EDT
Same error on HP OmniBook XE3 GF with i830 chipset
Comment 6 Péter, Soós 2003-07-14 05:12:03 EDT
After reconfiguring X there is an another error: There is not enough RAM to
start X in 1024x768. This laptop worked before with RedHal Linux 7.3 and Intel
driver at  
http://support.intel.com/support/graphics/linux/graphics.htm
I tried to compile this driver but it fails on RedHat Linux 9.
Comment 7 Péter, Soós 2003-07-14 05:13:55 EDT
Created attachment 92908 [details]
XFree86.0.log file
Comment 8 Péter, Soós 2003-07-14 05:58:27 EDT
I reconfigured X again setting manually the memory size. gdm started well. I had
to set dri support manually, but it worked wery well later for the next reboot.
After reboot I got the following:

Error in I830WaitLpRing(), now is 3660, start is 1659
pgetbl_ctl: 0x1ff60001 pgetbl_err: 0x0
ipeir: 0 iphdr: 7d8e0001
LP ring tail: 0 head: 10 len: 1f001 start 7fde000
eir: 0 esr: 0 emr: ffff
instdone: ffc1 instpm: 0
memmode: 108 instps: 824
hwstam: ffff ier: 0 imr: ffff iir: 0
space: 8 wanted 504

The full log file will be attached.
Comment 9 Péter, Soós 2003-07-14 06:00:02 EDT
Created attachment 92909 [details]
XFree86.0.log file after reboot
Comment 10 Péter, Soós 2003-08-28 03:26:07 EDT
The problem is solved on my machine. I updated my system to the latest errata
packages, and reconfigured X again. It didn't start. I added line
        Load  "dri"
to Section "Module" and X started well. I attach my current XF86Config.
Comment 11 Péter, Soós 2003-08-28 03:27:07 EDT
Created attachment 94024 [details]
The working version of XF86Config
Comment 12 Mike A. Harris 2003-08-28 04:15:08 EDT
sp@osb.hu) You're using what appears to be a custom kernel and custom
built XFree86.  If my assumption is correct, there's no proof this problem
is fixed yet in Red Hat officially released binary RPM packages.

This is a kernel bug IMHO, and requires kernel fixes.  If the newest
kernel does in fact fix this problem, I wasn't aware.  I'm reassigning
this to the kernel component for comment, etc.
Comment 13 Mike A. Harris 2003-08-28 04:21:39 EDT
Correction... you appear to be using only custom built input modules (synaptics).

I still need multiple confirmation the issue is fixed if it is indeed fixed.
Comment 14 Péter, Soós 2003-08-28 04:54:09 EDT
I use stantard (or standard errata) components:
$ rpm -q kernel
kernel-2.4.20-20.9
$ rpm -q XFree86
XFree86-4.3.0-2

I use synaptics input module, but it worked before with standard mouse module
with ps2 protocol.

I may kernel (i830) problem, but I think X configuration program may put Load
"dri" line to XF86Config.
Comment 15 Rob Caldwell 2003-12-12 09:03:56 EST
I just received this error for the first time.  I'm running Fedora
Core 1, vendor kernel 2.4.22-1.2129.nptl, XFree86 4.3.0-42.  


/var/log/messages seems to repeat this:
Dec 12 08:04:43 rcaldwell kernel: [drm:i830_wait_ring] *ERROR* space:
130548 wanted 131064
Dec 12 08:04:43 rcaldwell kernel: [drm:i830_wait_ring] *ERROR* lockup
Dec 12 08:04:48 rcaldwell kernel: [drm:i830_wait_ring] *ERROR* space:
130532 wanted 131064
Dec 12 08:04:48 rcaldwell kernel: [drm:i830_wait_ring] *ERROR* lockup
Dec 12 08:04:54 rcaldwell kernel: [drm:i830_wait_ring] *ERROR* space:
130524 wanted 131064
Dec 12 08:04:54 rcaldwell kernel: [drm:i830_wait_ring] *ERROR* lockup

XFree86.0.log:
Error in I830WaitLpRing(), now is 12481, start is 10480
pgetbl_ctl: 0x1ff60001 pgetbl_err: 0x0
ipeir: 0 iphdr: 7d800003
LP ring tail: 1a0 head: 1082c len: 1f001 start 7fde000
eir: 0 esr: 0 emr: ffff
instdone: 6ac1 instpm: 0
memmode: 108 instps: 821
hwstam: ffff ier: 0 imr: ffff iir: 0
space: 67204 wanted 131064

XF86Config:
# XFree86 4 configuration created by redhat-config-xfree86

Section "ServerLayout"
	Identifier     "single head configuration"
	Screen      0  "Screen0" 0 0
	InputDevice    "Mouse0" "CorePointer"
	InputDevice    "Keyboard0" "CoreKeyboard"
	InputDevice    "DevInputMice" "AlwaysCore"
EndSection

Section "Files"

# RgbPath is the location of the RGB database.  Note, this is the name
of the 
# file minus the extension (like ".txt" or ".db").  There is normally
# no need to change the default.
# Multiple FontPath entries are allowed (they are concatenated together)
# By default, Red Hat 6.0 and later now use a font server independent of
# the X server to render fonts.
	RgbPath      "/usr/X11R6/lib/X11/rgb"
	FontPath     "unix/:7100"
EndSection

Section "Module"
	Load  "dbe"
	Load  "extmod"
	Load  "fbdevhw"
	Load  "glx"
	Load  "record"
	Load  "freetype"
	Load  "type1"
	Load  "dri"
EndSection

Section "InputDevice"

# Specify which keyboard LEDs can be user-controlled (eg, with xset(1))
#	Option	"Xleds"		"1 2 3"
# To disable the XKEYBOARD extension, uncomment XkbDisable.
#	Option	"XkbDisable"
# To customise the XKB settings to suit your keyboard, modify the
# lines below (which are the defaults).  For example, for a non-U.S.
# keyboard, you will probably want to use:
#	Option	"XkbModel"	"pc102"
# If you have a US Microsoft Natural keyboard, you can use:
#	Option	"XkbModel"	"microsoft"
#
# Then to change the language, change the Layout setting.
# For example, a german layout can be obtained with:
#	Option	"XkbLayout"	"de"
# or:
#	Option	"XkbLayout"	"de"
#	Option	"XkbVariant"	"nodeadkeys"
#
# If you'd like to switch the positions of your capslock and
# control keys, use:
#	Option	"XkbOptions"	"ctrl:swapcaps"
# Or if you just want both to be control, use:
#	Option	"XkbOptions"	"ctrl:nocaps"
#
	Identifier  "Keyboard0"
	Driver      "keyboard"
	Option	    "XkbRules" "xfree86"
	Option	    "XkbModel" "pc105"
	Option	    "XkbLayout" "us"
EndSection

Section "InputDevice"
	Identifier  "Mouse0"
	Driver      "mouse"
	Option	    "Protocol" "PS/2"
	Option	    "Device" "/dev/psaux"
	Option	    "ZAxisMapping" "4 5"
	Option	    "Emulate3Buttons" "no"
EndSection

Section "InputDevice"

# If the normal CorePointer mouse is not a USB mouse then
# this input device can be used in AlwaysCore mode to let you
# also use USB mice at the same time.
	Identifier  "DevInputMice"
	Driver      "mouse"
	Option	    "Protocol" "IMPS/2"
	Option	    "Device" "/dev/input/mice"
	Option	    "ZAxisMapping" "4 5"
	Option	    "Emulate3Buttons" "no"
EndSection

Section "Monitor"
	Identifier   "Monitor0"
	VendorName   "Monitor Vendor"
	ModelName    "E90fb"
	DisplaySize  360	270
	HorizSync    30.0 - 86.0
	VertRefresh  50.0 - 150.0
	Option	    "dpms"
EndSection

Section "Device"
	Identifier  "Videocard0"
	Driver      "i810"
	VendorName  "Videocard vendor"
	BoardName   "Intel 830"
EndSection

Section "Screen"
	Identifier "Screen0"
	Device     "Videocard0"
	Monitor    "Monitor0"
	DefaultDepth     24
	SubSection "Display"
		Depth     24
		Modes    "1024x768" "800x600" "640x480"
	EndSubSection
EndSection

Section "DRI"
	Group        0
	Mode         0666
EndSection

Comment 16 Bugzilla owner 2004-09-30 11:40:45 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.